Last Comment Bug 637014 - "Assertion failure: compartment mismatched" with makeFinalizeObserver
: "Assertion failure: compartment mismatched" with makeFinalizeObserver
Status: RESOLVED FIXED
: assertion, regression, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Andreas Gal :gal
:
Mentors:
: 731549 (view as bug list)
Depends on:
Blocks: 630996 636364 731549
  Show dependency treegraph
 
Reported: 2011-02-26 07:15 PST by Jan de Mooij [:jandem]
Modified: 2013-01-14 08:18 PST (History)
9 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Stack trace (2.84 KB, text/plain)
2011-02-26 07:22 PST, Jan de Mooij [:jandem]
no flags Details
patch (708 bytes, patch)
2011-02-26 11:21 PST, Andreas Gal :gal
luke: review+
Details | Diff | Splinter Review

Description Jan de Mooij [:jandem] 2011-02-26 07:15:56 PST
--
var o = newGlobal('new-compartment');
o.makeFinalizeObserver();
--
This seems to be shell-only, but it would be nice to fix this for fuzzers.
Comment 1 Jan de Mooij [:jandem] 2011-02-26 07:22:36 PST
Created attachment 515345 [details]
Stack trace
Comment 2 Gary Kwong [:gkw] [:nth10sd] 2011-02-26 08:01:29 PST
autoBisect shows this is probably related to the following changeset:

The first bad revision is:
changeset:   62765:6e2ee1f3f6c6
user:        Brendan Eich
date:        Wed Feb 23 19:38:27 2011 -0800
summary:     Followup fixes and tests in wake of global |this| binding change (636364, r=luke/gal/dvander, thanks to Waldo for the newGlobal shell function).

Hope for .x
Comment 3 Andreas Gal :gal 2011-02-26 10:04:57 PST
Shell only, NPOTB, can't block by definition, but definitely something we should fix right away.
Comment 4 Andreas Gal :gal 2011-02-26 11:21:29 PST
Created attachment 515374 [details] [diff] [review]
patch

Ah JS_GetGlobalObject, we love you so much.
Comment 5 Andreas Gal :gal 2011-02-26 11:21:59 PST
Gary, you can push this patch after luke reviewed it.
Comment 6 Luke Wagner [:luke] 2011-02-28 11:05:25 PST
Comment on attachment 515374 [details] [diff] [review]
patch

can haz JS_GetGlobalForScopeChain instead?
Comment 8 Ed Morley [:emorley] 2012-06-20 02:20:38 PDT
https://hg.mozilla.org/mozilla-central/rev/654fdf0a3355
Comment 9 Christian Holler (:decoder) 2012-08-21 09:31:47 PDT
*** Bug 731549 has been marked as a duplicate of this bug. ***
Comment 10 Christian Holler (:decoder) 2013-01-14 08:18:20 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/basic/testBug637014.js.

Note You need to log in before you can comment on or make changes to this bug.